<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.sys.thirdparty.api.parameter.dao.impl.SysThirdpartyapiParameterMapperImpl">
	<resultMap id="get-entity-result" type="com.hzya.frame.sys.thirdparty.api.parameter.entity.SysThirdpartyapiParameter">
		<!--唯一标识码 -->
		<result property="id" column="id" />
		<!--接口id -->
		<result property="thirdpartyApiId" column="thirdparty_api_id" />
		<!--参数名 -->
		<result property="name" column="name" />
		<!--是否预置 -->
		<result property="preset" column="preset" />
		<!--是否预置 -->
		<result property="lvl" column="lvl" />
		<!--参数类型 -->
		<result property="parameterType" column="parameter_type" />
		<!--数据类型 -->
		<result property="dataType" column="data_type" />
		<!--数据规范 -->
		<result property="dataSpecification" column="data_specification" />
		<!--是否必填 -->
		<result property="requireds" column="requireds" />
		<!--参数说明 -->
		<result property="parameterDescription" column="parameter_description" />
		<!--参数格式 -->
		<result property="parameterFormat" column="parameter_format" />
		<!--上级id -->
		<result property="upId" column="up_id" />
		<!--类型 -->
		<result property="type" column="type" />
		<!--是否成功与失败判定 -->
		<result property="successOrFalse" column="success_or_false" />
		<!--成功标志判断条件 -->
		<result property="successJudgmentCondition" column="success_judgment_condition" />
		<!--成功标志值 -->
		<result property="successJudgmentValue" column="success_judgment_value" />
		<!--失败标志判断条件 -->
		<result property="falseJudgmentCondition" column="false_judgment_condition" />
		<!--失败标志值 -->
		<result property="falseJudgmentValue" column="false_judgment_value" />
		<!--是否提示参数指定 -->
		<result property="promptParameter" column="prompt_parameter" />
		<!--是否需要转译 -->
		<result property="translation" column="translation" />
		<!--转义json -->
		<result property="escapedJson" column="escaped_json" />
		<!--排序号 -->
		<result property="sorts" column="sorts" />
		<!--创建人id -->
		<result property="orgId" column="org_id" />
		<!--状态(Y正常N删除) -->
		<result property="sts" column="sts" />
		<!--创建时间 -->
		<result property="createTime" column="create_time" />
		<!--创建人id -->
		<result property="createUserId" column="create_user_id" />
		<!--修改时间 -->
		<result property="modifyTime" column="modify_time" />
		<!--修改人id -->
		<result property="modifyUserId" column="modify_user_id" />
	</resultMap>

	<sql id="Base_Column_List">
		id,
		thirdparty_api_id,
		name,
		preset,
		lvl,
		parameter_type,
		data_type,
		data_specification,
		requireds,
		parameter_description,
		parameter_format,
		up_id,
		type,
		success_or_false,
		success_judgment_condition,
		success_judgment_value,
		false_judgment_condition,
		false_judgment_value,
		prompt_parameter,
		translation,
		escaped_json,
		sorts,
		org_id,
		sts,
		create_time,
		create_user_id,
		modify_time,
		modify_user_id
	</sql>

	<!--通过ID获取数据 -->
	<select id="entity_get" resultMap="get-entity-result">
		select
		<include refid="Base_Column_List" />
		from sys_thirdparty_api_parameter where id = #{ id } and sts='Y'
	</select>

	<!-- 查询 采用==查询 -->
	<select id="entity_list_base" resultMap="get-entity-result" parameterType="com.hzya.frame.sys.thirdparty.api.parameter.entity.SysThirdpartyapiParameter">
		select
		<include refid="Base_Column_List" />
		from sys_thirdparty_api_parameter
		<trim prefix="where" prefixOverrides="and">
			<if test="id != null and id !='' ">id = #{id} </if>
			<if test="thirdpartyApiId != null and thirdpartyApiId !='' "> and thirdparty_api_id = #{thirdpartyApiId}</if>
			<if test="name != null and name !='' "> and name = #{name}</if>
			<if test="preset != null and preset !='' "> and preset = #{preset}</if>
			<if test="lvl != null and lvl !='' "> and lvl = #{lvl}</if>
			<if test="parameterType != null and parameterType !='' "> and parameter_type = #{parameterType}</if>
			<if test="dataType != null and dataType !='' "> and data_type = #{dataType}</if>
			<if test="dataSpecification != null and dataSpecification !='' "> and data_specification = #{dataSpecification}</if>
			<if test="requireds != null and requireds !='' "> and requireds = #{requireds}</if>
			<if test="parameterDescription != null and parameterDescription !='' "> and parameter_description = #{parameterDescription}</if>
			<if test="parameterFormat != null and parameterFormat !='' "> and parameter_format = #{parameterFormat}</if>
			<if test="upId != null and upId !='' "> and up_id = #{upId}</if>
			<if test="type != null and type !='' "> and type = #{type}</if>
			<if test="successOrFalse != null and successOrFalse !='' "> and success_or_false = #{successOrFalse}</if>
			<if test="successJudgmentCondition != null and successJudgmentCondition !='' "> and success_judgment_condition = #{successJudgmentCondition}</if>
			<if test="successJudgmentValue != null and successJudgmentValue !='' "> and success_judgment_value = #{successJudgmentValue}</if>
			<if test="falseJudgmentCondition != null and falseJudgmentCondition !='' "> and false_judgment_condition = #{falseJudgmentCondition}</if>
			<if test="falseJudgmentValue != null and falseJudgmentValue !='' "> and false_judgment_value = #{falseJudgmentValue}</if>
			<if test="promptParameter != null and promptParameter !='' "> and prompt_parameter = #{promptParameter}</if>
			<if test="translation != null and translation !='' "> and translation = #{translation}</if>
			<if test="escapedJson != null and escapedJson !='' "> and escaped_json = #{escapedJson}</if>
			<if test="sorts != null "> and sorts = #{sorts}</if>
			<if test="orgId != null and orgId !='' "> and org_id = #{orgId}</if>
			<if test="sts != null and sts !='' "> and sts = #{sts}</if>
			<if test="createTime != null "> and create_time = #{createTime}</if>
			<if test="createUserId != null and createUserId !='' "> and create_user_id = #{createUserId}</if>
			<if test="modifyTime != null "> and modify_time = #{modifyTime}</if>
			<if test="modifyUserId != null and modifyUserId !='' "> and modify_user_id = #{modifyUserId}</if>
		</trim>
		<if test=" sort == null or sort =='' "> order by sorts asc</if>
		<if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
	</select>

	<!-- 查询符合条件的数量 -->
	<select id="entity_count" resultType="Integer" parameterType="com.hzya.frame.sys.thirdparty.api.parameter.entity.SysThirdpartyapiParameter">
		select count(1) from sys_thirdparty_api_parameter
		<trim prefix="where" prefixOverrides="and">
			<if test="id != null and id !='' ">id = #{id} </if>
			<if test="thirdpartyApiId != null and thirdpartyApiId !='' "> and thirdparty_api_id = #{thirdpartyApiId}</if>
			<if test="name != null and name !='' "> and name = #{name}</if>
			<if test="preset != null and preset !='' "> and preset = #{preset}</if>
			<if test="lvl != null and lvl !='' "> and lvl = #{lvl}</if>
			<if test="parameterType != null and parameterType !='' "> and parameter_type = #{parameterType}</if>
			<if test="dataType != null and dataType !='' "> and data_type = #{dataType}</if>
			<if test="dataSpecification != null and dataSpecification !='' "> and data_specification = #{dataSpecification}</if>
			<if test="requireds != null and requireds !='' "> and requireds = #{requireds}</if>
			<if test="parameterDescription != null and parameterDescription !='' "> and parameter_description = #{parameterDescription}</if>
			<if test="parameterFormat != null and parameterFormat !='' "> and parameter_format = #{parameterFormat}</if>
			<if test="upId != null and upId !='' "> and up_id = #{upId}</if>
			<if test="type != null and type !='' "> and type = #{type}</if>
			<if test="successOrFalse != null and successOrFalse !='' "> and success_or_false = #{successOrFalse}</if>
			<if test="successJudgmentCondition != null and successJudgmentCondition !='' "> and success_judgment_condition = #{successJudgmentCondition}</if>
			<if test="successJudgmentValue != null and successJudgmentValue !='' "> and success_judgment_value = #{successJudgmentValue}</if>
			<if test="falseJudgmentCondition != null and falseJudgmentCondition !='' "> and false_judgment_condition = #{falseJudgmentCondition}</if>
			<if test="falseJudgmentValue != null and falseJudgmentValue !='' "> and false_judgment_value = #{falseJudgmentValue}</if>
			<if test="promptParameter != null and promptParameter !='' "> and prompt_parameter = #{promptParameter}</if>
			<if test="translation != null and translation !='' "> and translation = #{translation}</if>
			<if test="escapedJson != null and escapedJson !='' "> and escaped_json = #{escapedJson}</if>
			<if test="sorts != null "> and sorts = #{sorts}</if>
			<if test="orgId != null and orgId !='' "> and org_id = #{orgId}</if>
			<if test="sts != null and sts !='' "> and sts = #{sts}</if>
			<if test="createTime != null "> and create_time = #{createTime}</if>
			<if test="createUserId != null and createUserId !='' "> and create_user_id = #{createUserId}</if>
			<if test="modifyTime != null "> and modify_time = #{modifyTime}</if>
			<if test="modifyUserId != null and modifyUserId !='' "> and modify_user_id = #{modifyUserId}</if>
		</trim>
	</select>

	<!-- 分页查询列表 采用like格式 -->
	<select id="entity_list_like" resultMap="get-entity-result" parameterType="com.hzya.frame.sys.thirdparty.api.parameter.entity.SysThirdpartyapiParameter">
		select
		<include refid="Base_Column_List" />
		from sys_thirdparty_api_parameter
		<trim prefix="where" prefixOverrides="and">
			<if test="id != null and id !='' "> id like concat('%',#{id},'%') </if>
			<if test="thirdpartyApiId != null and thirdpartyApiId !='' "> and thirdparty_api_id like concat('%',#{thirdpartyApiId},'%') </if>
			<if test="name != null and name !='' "> and name like concat('%',#{name},'%') </if>
			<if test="preset != null and preset !='' "> and preset like concat('%',#{preset},'%') </if>
			<if test="lvl != null and lvl !='' "> and lvl like concat('%',#{lvl},'%') </if>
			<if test="parameterType != null and parameterType !='' "> and parameter_type like concat('%',#{parameterType},'%') </if>
			<if test="dataType != null and dataType !='' "> and data_type like concat('%',#{dataType},'%') </if>
			<if test="dataSpecification != null and dataSpecification !='' "> and data_specification like concat('%',#{dataSpecification},'%') </if>
			<if test="requireds != null and requireds !='' "> and requireds like concat('%',#{requireds},'%') </if>
			<if test="parameterDescription != null and parameterDescription !='' "> and parameter_description like concat('%',#{parameterDescription},'%') </if>
			<if test="parameterFormat != null and parameterFormat !='' "> and parameter_format like concat('%',#{parameterFormat},'%') </if>
			<if test="upId != null and upId !='' "> and up_id like concat('%',#{upId},'%') </if>
			<if test="type != null and type !='' "> and type like concat('%',#{type},'%') </if>
			<if test="successOrFalse != null and successOrFalse !='' "> and success_or_false like concat('%',#{successOrFalse},'%') </if>
			<if test="successJudgmentCondition != null and successJudgmentCondition !='' "> and success_judgment_condition like concat('%',#{successJudgmentCondition},'%') </if>
			<if test="successJudgmentValue != null and successJudgmentValue !='' "> and success_judgment_value like concat('%',#{successJudgmentValue},'%') </if>
			<if test="falseJudgmentCondition != null and falseJudgmentCondition !='' "> and false_judgment_condition like concat('%',#{falseJudgmentCondition},'%') </if>
			<if test="falseJudgmentValue != null and falseJudgmentValue !='' "> and false_judgment_value like concat('%',#{falseJudgmentValue},'%') </if>
			<if test="promptParameter != null and promptParameter !='' "> and prompt_parameter like concat('%',#{promptParameter},'%') </if>
			<if test="translation != null and translation !='' "> and translation like concat('%',#{translation},'%') </if>
			<if test="escapedJson != null and escapedJson !='' "> and escaped_json like concat('%',#{escapedJson},'%') </if>
			<if test="sorts != null "> and sorts = #{sorts}</if>
			<if test="orgId != null and orgId !='' "> and org_id like concat('%',#{orgId},'%') </if>
			<if test="sts != null and sts !='' "> and sts like concat('%',#{sts},'%') </if>
			<if test="createTime != null and createTime !='' "> and create_time like concat('%',#{createTime},'%') </if>
			<if test="createUserId != null and createUserId !='' "> and create_user_id like concat('%',#{createUserId},'%') </if>
			<if test="modifyTime != null and modifyTime !='' "> and modify_time like concat('%',#{modifyTime},'%') </if>
			<if test="modifyUserId != null and modifyUserId !='' "> and modify_user_id like concat('%',#{modifyUserId},'%') </if>
		</trim>
		<if test=" sort == null or sort =='' "> order by sorts asc</if>
		<if test=" sort !='' and sort!=null and order !='' and order!=null ">order by  ${sort} ${order}</if>
	</select>

	<!-- 查询列表 字段采用or格式 -->
	<select id="entity_list_or" resultMap="get-entity-result" parameterType="com.hzya.frame.sys.thirdparty.api.parameter.entity.SysThirdpartyapiParameter">
		select
		<include refid="Base_Column_List" />
		from sys_thirdparty_api_parameter
		<trim prefix="where" prefixOverrides="or">
			<if test="id != null and id !='' ">id = #{id} </if>
			<if test="thirdpartyApiId != null and thirdpartyApiId !='' "> or thirdparty_api_id = #{thirdpartyApiId} </if>
			<if test="name != null and name !='' "> or name = #{name} </if>
			<if test="preset != null and preset !='' "> or preset = #{preset} </if>
			<if test="lvl != null and lvl !='' "> or lvl = #{lvl} </if>
			<if test="parameterType != null and parameterType !='' "> or parameter_type = #{parameterType} </if>
			<if test="dataType != null and dataType !='' "> or data_type = #{dataType} </if>
			<if test="dataSpecification != null and dataSpecification !='' "> or data_specification = #{dataSpecification} </if>
			<if test="requireds != null and requireds !='' "> or requireds = #{requireds} </if>
			<if test="parameterDescription != null and parameterDescription !='' "> or parameter_description = #{parameterDescription} </if>
			<if test="parameterFormat != null and parameterFormat !='' "> or parameter_format = #{parameterFormat} </if>
			<if test="upId != null and upId !='' "> or up_id = #{upId} </if>
			<if test="type != null and type !='' "> or type = #{type} </if>
			<if test="successOrFalse != null and successOrFalse !='' "> or success_or_false = #{successOrFalse} </if>
			<if test="successJudgmentCondition != null and successJudgmentCondition !='' "> or success_judgment_condition = #{successJudgmentCondition} </if>
			<if test="successJudgmentValue != null and successJudgmentValue !='' "> or success_judgment_value = #{successJudgmentValue} </if>
			<if test="falseJudgmentCondition != null and falseJudgmentCondition !='' "> or false_judgment_condition = #{falseJudgmentCondition} </if>
			<if test="falseJudgmentValue != null and falseJudgmentValue !='' "> or false_judgment_value = #{falseJudgmentValue} </if>
			<if test="promptParameter != null and promptParameter !='' "> or prompt_parameter = #{promptParameter} </if>
			<if test="translation != null and translation !='' "> or translation = #{translation} </if>
			<if test="escapedJson != null and escapedJson !='' "> or escaped_json = #{escapedJson} </if>
			<if test="sorts != null "> or sorts = #{sorts}</if>
			<if test="orgId != null and orgId !='' "> or org_id = #{orgId} </if>
			<if test="sts != null and sts !='' "> or sts = #{sts} </if>
			<if test="createTime != null and createTime !='' "> or create_time = #{createTime} </if>
			<if test="createUserId != null and createUserId !='' "> or create_user_id = #{createUserId} </if>
			<if test="modifyTime != null and modifyTime !='' "> or modify_time = #{modifyTime} </if>
			<if test="modifyUserId != null and modifyUserId !='' "> or modify_user_id = #{modifyUserId} </if>
		</trim>
		<if test=" sort == null or sort =='' "> order by sorts asc</if>
		<if test=" sort !='' and sort!=null and order !='' and order!=null ">order by  ${sort} ${order}</if>
	</select>
	<!-- 新增 -->
	<insert id="entity_insert" parameterType="com.hzya.frame.sys.thirdparty.api.parameter.entity.SysThirdpartyapiParameter">
		insert into sys_thirdparty_api_parameter(
		<trim suffix="" suffixOverrides=",">
			<if test="id != null and id !='' "> id, </if>
			<if test="thirdpartyApiId != null and thirdpartyApiId !='' "> thirdparty_api_id, </if>
			<if test="name != null and name !='' "> name, </if>
			<if test="preset != null and preset !='' "> preset, </if>
			<if test="lvl != null and lvl !='' "> lvl, </if>
			<if test="parameterType != null and parameterType !='' "> parameter_type, </if>
			<if test="dataType != null and dataType !='' "> data_type, </if>
			<if test="dataSpecification != null and dataSpecification !='' "> data_specification, </if>
			<if test="requireds != null and requireds !='' "> requireds, </if>
			<if test="parameterDescription != null and parameterDescription !='' "> parameter_description, </if>
			<if test="parameterFormat != null and parameterFormat !='' "> parameter_format, </if>
			<if test="upId != null and upId !='' "> up_id, </if>
			<if test="type != null and type !='' "> type, </if>
			<if test="successOrFalse != null and successOrFalse !='' "> success_or_false, </if>
			<if test="successJudgmentCondition != null and successJudgmentCondition !='' "> success_judgment_condition, </if>
			<if test="successJudgmentValue != null and successJudgmentValue !='' "> success_judgment_value, </if>
			<if test="falseJudgmentCondition != null and falseJudgmentCondition !='' "> false_judgment_condition, </if>
			<if test="falseJudgmentValue != null and falseJudgmentValue !='' "> false_judgment_value, </if>
			<if test="promptParameter != null and promptParameter !='' "> prompt_parameter, </if>
			<if test="translation != null and translation !='' "> translation, </if>
			<if test="escapedJson != null and escapedJson !='' "> escaped_json, </if>
			<if test="sorts != null ">sorts,</if>
			<if test="orgId != null and orgId !='' "> org_id, </if>
			<if test="sts != null and sts !='' "> sts, </if>
			<if test="createTime != null ">create_time,</if>
			<if test="createUserId != null and createUserId !='' "> create_user_id, </if>
			<if test="modifyTime != null ">modify_time,</if>
			<if test="modifyUserId != null and modifyUserId !='' "> modify_user_id, </if>
		</trim>
		)values
		(
		<trim suffix="" suffixOverrides=",">
			<if test="id != null and id !='' "> #{id}, </if>
			<if test="thirdpartyApiId != null and thirdpartyApiId !='' "> #{thirdpartyApiId}, </if>
			<if test="name != null and name !='' "> #{name}, </if>
			<if test="preset != null and preset !='' "> #{preset}, </if>
			<if test="lvl != null and lvl !='' "> #{lvl}, </if>
			<if test="parameterType != null and parameterType !='' "> #{parameterType}, </if>
			<if test="dataType != null and dataType !='' "> #{dataType}, </if>
			<if test="dataSpecification != null and dataSpecification !='' "> #{dataSpecification}, </if>
			<if test="requireds != null and requireds !='' "> #{requireds}, </if>
			<if test="parameterDescription != null and parameterDescription !='' "> #{parameterDescription}, </if>
			<if test="parameterFormat != null and parameterFormat !='' "> #{parameterFormat}, </if>
			<if test="upId != null and upId !='' "> #{upId}, </if>
			<if test="type != null and type !='' "> #{type}, </if>
			<if test="successOrFalse != null and successOrFalse !='' "> #{successOrFalse}, </if>
			<if test="successJudgmentCondition != null and successJudgmentCondition !='' "> #{successJudgmentCondition}, </if>
			<if test="successJudgmentValue != null and successJudgmentValue !='' "> #{successJudgmentValue}, </if>
			<if test="falseJudgmentCondition != null and falseJudgmentCondition !='' "> #{falseJudgmentCondition}, </if>
			<if test="falseJudgmentValue != null and falseJudgmentValue !='' "> #{falseJudgmentValue}, </if>
			<if test="promptParameter != null and promptParameter !='' "> #{promptParameter}, </if>
			<if test="translation != null and translation !='' "> #{translation}, </if>
			<if test="escapedJson != null and escapedJson !='' "> #{escapedJson}, </if>
			<if test="sorts != null ">#{sorts},</if>
			<if test="orgId != null and orgId !='' "> #{orgId}, </if>
			<if test="sts != null and sts !='' "> #{sts}, </if>
			<if test="createTime != null ">#{createTime},</if>
			<if test="createUserId != null and createUserId !='' "> #{createUserId}, </if>
			<if test="modifyTime != null ">#{modifyTime},</if>
			<if test="modifyUserId != null and modifyUserId !='' "> #{modifyUserId}, </if>
		</trim>
		)
	</insert>

	<!-- 修改 -->
	<update id="entity_update" parameterType="com.hzya.frame.sys.thirdparty.api.parameter.entity.SysThirdpartyapiParameter">
		update sys_thirdparty_api_parameter set
		<trim suffix="" suffixOverrides=",">
			<if test="thirdpartyApiId != null and thirdpartyApiId !='' "> thirdparty_api_id = #{thirdpartyApiId},</if>
			<if test="name != null and name !='' "> name = #{name},</if>
			<if test="preset != null and preset !='' "> preset = #{preset},</if>
			<if test="lvl != null and lvl !='' "> lvl = #{lvl},</if>
			<if test="parameterType != null and parameterType !='' "> parameter_type = #{parameterType},</if>
			<if test="dataType != null and dataType !='' "> data_type = #{dataType},</if>
			<if test="dataSpecification != null and dataSpecification !='' "> data_specification = #{dataSpecification},</if>
			<if test="requireds != null and requireds !='' "> requireds = #{requireds},</if>
			<if test="parameterDescription != null and parameterDescription !='' "> parameter_description = #{parameterDescription},</if>
			<if test="parameterFormat != null and parameterFormat !='' "> parameter_format = #{parameterFormat},</if>
			<if test="upId != null and upId !='' "> up_id = #{upId},</if>
			<if test="type != null and type !='' "> type = #{type},</if>
			<if test="successOrFalse != null and successOrFalse !='' "> success_or_false = #{successOrFalse},</if>
			<if test="successJudgmentCondition != null and successJudgmentCondition !='' "> success_judgment_condition = #{successJudgmentCondition},</if>
			<if test="successJudgmentValue != null and successJudgmentValue !='' "> success_judgment_value = #{successJudgmentValue},</if>
			<if test="falseJudgmentCondition != null and falseJudgmentCondition !='' "> false_judgment_condition = #{falseJudgmentCondition},</if>
			<if test="falseJudgmentValue != null and falseJudgmentValue !='' "> false_judgment_value = #{falseJudgmentValue},</if>
			<if test="promptParameter != null and promptParameter !='' "> prompt_parameter = #{promptParameter},</if>
			<if test="translation != null and translation !='' "> translation = #{translation},</if>
			<if test="escapedJson != null and escapedJson !='' "> escaped_json = #{escapedJson},</if>
			<if test="sorts != null ">sorts = #{sorts},</if>
			<if test="orgId != null and orgId !='' "> org_id = #{orgId},</if>
			<if test="sts != null and sts !='' "> sts = #{sts},</if>
			<if test="createTime != null ">create_time = #{createTime},</if>
			<if test="createUserId != null and createUserId !='' "> create_user_id = #{createUserId},</if>
			<if test="modifyTime != null ">modify_time = #{modifyTime},</if>
			<if test="modifyUserId != null and modifyUserId !='' "> modify_user_id = #{modifyUserId},</if>
		</trim>
		where id = #{id}
	</update>

	<!-- 逻辑删除 -->
	<update id="entity_logicDelete" parameterType="com.hzya.frame.sys.thirdparty.api.parameter.entity.SysThirdpartyapiParameter">
		update sys_thirdparty_api_parameter set
		sts='N',modify_time = now(),modify_user_id = #{modifyUserId} where
		id = #{id}
	</update>

	<!-- 逻辑删除多条件 -->
	<update id="entity_logicDelete_Multi_Condition" parameterType="com.hzya.frame.sys.thirdparty.api.parameter.entity.SysThirdpartyapiParameter">
		update sys_thirdparty_api_parameter set
		sts='N',modify_time = now(),modify_user_id = #{modifyUserId}
		<trim prefix="where" prefixOverrides="and">
			<if test="id != null and id !='' ">id = #{id} </if>
			<if test="thirdpartyApiId != null and thirdpartyApiId !='' "> and thirdparty_api_id = #{thirdpartyApiId}</if>
			<if test="name != null and name !='' "> and name = #{name}</if>
			<if test="preset != null and preset !='' "> and preset = #{preset}</if>
			<if test="lvl != null and lvl !='' "> and lvl = #{lvl}</if>
			<if test="parameterType != null and parameterType !='' "> and parameter_type = #{parameterType}</if>
			<if test="dataType != null and dataType !='' "> and data_type = #{dataType}</if>
			<if test="dataSpecification != null and dataSpecification !='' "> and data_specification = #{dataSpecification}</if>
			<if test="requireds != null and requireds !='' "> and requireds = #{requireds}</if>
			<if test="parameterDescription != null and parameterDescription !='' "> and parameter_description = #{parameterDescription}</if>
			<if test="parameterFormat != null and parameterFormat !='' "> and parameter_format = #{parameterFormat}</if>
			<if test="upId != null and upId !='' "> and up_id = #{upId}</if>
			<if test="type != null and type !='' "> and type = #{type}</if>
			<if test="successOrFalse != null and successOrFalse !='' "> and success_or_false = #{successOrFalse}</if>
			<if test="successJudgmentCondition != null and successJudgmentCondition !='' "> and success_judgment_condition = #{successJudgmentCondition}</if>
			<if test="successJudgmentValue != null and successJudgmentValue !='' "> and success_judgment_value = #{successJudgmentValue}</if>
			<if test="falseJudgmentCondition != null and falseJudgmentCondition !='' "> and false_judgment_condition = #{falseJudgmentCondition}</if>
			<if test="falseJudgmentValue != null and falseJudgmentValue !='' "> and false_judgment_value = #{falseJudgmentValue}</if>
			<if test="promptParameter != null and promptParameter !='' "> and prompt_parameter = #{promptParameter}</if>
			<if test="translation != null and translation !='' "> and translation = #{translation}</if>
			<if test="escapedJson != null and escapedJson !='' "> and escaped_json = #{escapedJson}</if>
			<if test="sorts != null "> and sorts = #{sorts}</if>
			<if test="orgId != null and orgId !='' "> and org_id = #{orgId}</if>
			<if test="sts != null and sts !='' "> and sts = #{sts}</if>
			<if test="createTime != null and createTime !='' "> and create_time = #{createTime}</if>
			<if test="createUserId != null and createUserId !='' "> and create_user_id = #{createUserId}</if>
		</trim>
	</update>

	<!-- 物理删除 -->
	<delete id="entity_delete" parameterType="com.hzya.frame.sys.thirdparty.api.parameter.entity.SysThirdpartyapiParameter">
		delete from sys_thirdparty_api_parameter where id =#{id}
	</delete>

	<!-- 逻辑删除多条件 -->
	<update id="delect_by_ThirdpartyApiId" parameterType="java.lang.String">
		update sys_thirdparty_api_parameter set
		sts='N',modify_time = now()
		WHERE thirdparty_api_id in
		<foreach item="ids" collection="list" open="(" separator="," close=")">
			#{ids}
		</foreach>
	</update>
</mapper>
